package com.ruoyi.common.core.constant;

import java.util.HashMap;
import java.util.Map;

/**
 * @Description: 平台常量字典信息
 * @ClassName: HwDictConstants
 * @Author : xins
 * @Date :2023-09-03  12:27
 * @Version :1.0
 */
public class HwDictConstants {

    public static final String EFFECTIVE_TIME_FLAG_LONG = "1";//长期有效
    public static final String EFFECTIVE_TIME_FLAG_RANGE = "2";//时间范围

    public static final String AREA_SHAPE_FLAG_POLYGN = "1";//多边形
    public static final String AREA_SHAPE_FLAG_CIRCULA = "2";//圆形

    public static final String DEFAULT_FUNCTION_LONGITUDE_IDENTIFIER = "longitude";//经度标识符
    public static final String DEFAULT_FUNCTION_LATITUDE_IDENTIFIER = "latitude";//纬度标识符

    public static final String ELECTRONIC_FENCE_TRIGGER_STATUS_EXIT = "1";//电子围栏触发状态：出界
    public static final String ELECTRONIC_FENCE_TRIGGER_STATUS_ENTRY = "2";//电子围栏触发状态：入界

    public static final String ALARM_INFO_TYPE_DEVICE = "1";//设备报警
    public static final String ALARM_INFO_TYPE_MONITOR_UNIT = "2";//监控单元
    public static final String ALARM_INFO_TYPE_OFFLINE = "3";//离线报警
    public static final String ALARM_INFO_TYPE_ELECTRONIC_FENCE = "4";//电子围栏

    public static final String FUNCTION_MODE_ATTRIBUTE = "1";//设备模型功能模式属性
    public static final String FUNCTION_MODE_SERVICE = "2";//设备模型功能模式服务
    public static final String FUNCTION_MODE_EVENT = "3";//设备模型功能模式事件

    public static final String DEVICE_STATUS_PUBLISH = "1";//设备状态：已发布

    public static final String FENCE_TYPE_DEVICE = "1";//电子围栏规则类型，设备
    public static final String FENCE_TYPE_MONITOR_UNIT = "2";//电子围栏规则类型，监控单元
    public static final String FENCE_TYPE_SCENE = "3";//电子围栏规则类型，场景

    public static final String CONTROL_DEVICE = "1";//监控型设备

    public static final String ACQUISITION_DEVICE = "2";//采集型设备

    public static final String CONTROL_DEVICE_NAME = "control";//监控型设备

    public static final String ACQUISITION_DEVICE_NAME = "acquisition";//采集型设备

    public static final String DEVICE_DEFAULT_FLAG_YES = "1";//默认是
    public static final String DEVICE_DEFAULT_FLAG_NO = "0";//默认否

    public static final Long ADMINISTRATOR_TENANT_ID = 0L;//金瑞铭租户ID

    public static final String DEVICE_TYPE_GATEWAY_DEVICE = "1";//网关设备
    public static final String DEVICE_TYPE_GATEWAY_SUB_EQUIPMENT = "2";//网关子设备
    public static final String DEVICE_TYPE_DIRECT_CONNECT_DEVICE = "3";//直连设备

    public static final String REDIS_KEY_DEVICE_INFO = "hw_device_info";//保存设备用户名和密码等信息的redis的key

    public static final String DEVICE_MODE_STATUS_NORMAL = "1";//设备模型正常状态

    public static final String SCENE_DEFAULT_FLAG_YES = "1";//场景是否默认标识：是
    public static final String SCENE_DEFAULT_FLAG_NO = "0";//场景是否默认标识：否


    public static final Long SCENE_MODE_STANDARD = 1L;//场景类型：标准
    public static final Long SCENE_MODE_GPS = 2L;//场景类型：定位

    public static final String ROUTER_STANDARD = "smartScene";//标准场景路由地址
    public static final String ROUTER_GPS = "GPS";//定位场景路由地址

    public static final Map<Long, String> SCENE_MODE_ROUTER_MAP = new HashMap<>();

    static {
        SCENE_MODE_ROUTER_MAP.put(SCENE_MODE_STANDARD, ROUTER_STANDARD);
        SCENE_MODE_ROUTER_MAP.put(SCENE_MODE_GPS, ROUTER_GPS);
    }

}
